%define	upstream_name	 Module-Signature
%define upstream_version 0.89

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check and create SIGNATURE files for CPAN distributions
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-BR.patch

# Module build

# not mandatory

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install) >= 0.920.0
BuildRequires: sed
# Module runtime
BuildRequires: gnupg2
# Test suite

BuildArch:  noarch
Requires:   gnupg2
%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
# Remove bundled modules
rm -r ./inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps </dev/null
%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module

%changelog
* Tue Sep 17 2024 tv <tv> 0.890.0-1.mga10
+ Revision: 2097765
- Fix deps in Makefile.PL so that "magpie fix" stops dropping BR on inc::*
- update to 0.89

* Wed Mar 30 2022 umeabot <umeabot> 0.880.0-2.mga9
+ Revision: 1834278
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 0.880.0-1.mga9
+ Revision: 1763126
- Restore BR on perl(inc::Module::Install)
- update to 0.88

* Mon Jul 06 2020 tv <tv> 0.870.0-1.mga8
+ Revision: 1602522
- restore BR on inc::Module::Install
- update to 0.87

* Fri Jun 26 2020 tv <tv> 0.860.0-1.mga8
+ Revision: 1599333
- restore BR inc::Module::Install (magpie should ignore that one)
- update to 0.86

* Wed Feb 12 2020 umeabot <umeabot> 0.830.0-3.mga8
+ Revision: 1505279
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.830.0-2.mga7
+ Revision: 1284885
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 tv <tv> 0.830.0-1.mga7
+ Revision: 1255478
- new release

* Mon Aug 27 2018 tv <tv> 0.820.0-1.mga7
+ Revision: 1254866
- restore BR on perl(inc::Module::Install)
- update to 0.82

* Tue Oct 03 2017 tv <tv> 0.810.0-5.mga7
+ Revision: 1165567
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.810.0-4.mga7
+ Revision: 1161059
- add missing BRs (mainly gnugpg2)
- Fix building on Perl without "." in @INC (CPAN RT#120405)

* Mon Sep 18 2017 tv <tv> 0.810.0-3.mga7
+ Revision: 1155160
- no need to BR Math::Pari

* Fri Sep 15 2017 tv <tv> 0.810.0-2.mga7
+ Revision: 1154329
- add missing BRs for testsuite
- new release
- note that OpenPGP is not mandatory in case we want to drop hard to build pkgs

* Wed May 11 2016 tv <tv> 0.790.0-3.mga6
+ Revision: 1013140
- add BRs in order to fix build

* Fri Feb 19 2016 umeabot <umeabot> 0.790.0-2.mga6
+ Revision: 967885
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.790.0-1.mga6
+ Revision: 850440
- update to 0.79

* Tue Apr 07 2015 sander85 <sander85> 0.730.0-5.mga5
+ Revision: 819865
- Fix security issues (mga#15643)

* Wed Oct 15 2014 umeabot <umeabot> 0.730.0-4.mga5
+ Revision: 750484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.730.0-3.mga5
+ Revision: 685476
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.730.0-2.mga4
+ Revision: 528356
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.730.0-1.mga4
+ Revision: 439549
- update to 0.73
- update to 0.70
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.690.0-1.mga3
+ Revision: 315139
- update to 0.69

* Sun May 15 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 98886
- update to 0.68

* Tue Apr 19 2011 misc <misc> 0.670.0-1.mga1
+ Revision: 88738
- fix BR
+ jquelin <jquelin>
- update to 0.67

* Wed Jan 19 2011 jquelin <jquelin> 0.660.0-1.mga1
+ Revision: 24253
- fix specs
- imported package perl-Module-Signature

